<div class="row">
  <div class="col-sm-12">
    <app-title [title]="'Inscription'"></app-title>
  </div>
  <div class="col-md-6 offset-md-3">
    <h3>Vous pouvez créer un compte</h3>
    <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label>Prénom</label>
        <input type="text" formControlName="firstName" class="b-shadow-grey form-control"
          [ngClass]="{ 'is-invalid': submitted && f.firstName.errors }" />
        <div *ngIf="submitted && f.firstName.errors" class="invalid-feedback">
          <div *ngIf="f.firstName.errors.required">Le prénom est obligatoire</div>
        </div>
      </div>
      <div class="form-group">
        <label>Nom</label>
        <input type="text" formControlName="lastName" class="b-shadow-grey form-control"
          [ngClass]="{ 'is-invalid': submitted && f.lastName.errors }" />
        <div *ngIf="submitted && f.lastName.errors" class="invalid-feedback">
          <div *ngIf="f.lastName.errors.required">Le nom est obligatoire</div>
        </div>
      </div>
      <div class="form-group">
        <label>Email</label>
        <input type="text" formControlName="email" class="b-shadow-grey form-control"
          [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
        <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
          <div *ngIf="f.email.errors.required">L'adresse mail est obligatoire</div>
          <div *ngIf="f.email.errors.email">L'email doit être valide</div>
        </div>
      </div>
      <div class="form-group">
        <label>Mot de passe</label>
        <input type="password" formControlName="password" class="b-shadow-grey form-control"
          [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
          <div *ngIf="f.password.errors.required">Le mot de passe est obligatoire</div>
          <div *ngIf="f.password.errors.minlength">Veuillez entrer 6 caractères au minimum</div>
        </div>
      </div>
      <div class="form-group">
        <label>Confirmer le mot de passe</label>
        <input type="password" formControlName="confirmPassword" class="b-shadow-grey form-control"
          [ngClass]="{ 'is-invalid': submitted && f.confirmPassword.errors }" />
        <div *ngIf="submitted && f.confirmPassword.errors" class="invalid-feedback">
          <div *ngIf="f.confirmPassword.errors.required">Confirmer le mot de passe est obligatoire</div>
          <div *ngIf="f.confirmPassword.errors.mustMatch">Les mots de passe doivent être identique</div>
        </div>
      </div>
      <div class="text-center form-group">
        <button class="btn btn-grey">S'enregistrer</button>
      </div>
    </form>
  </div>
</div>
